Do Not Install .NET Framework 4.7.2 on Exchange Servers

Tuesday, July 10, 2018

You may notice that Windows Update is offering Microsoft .NET Framework 4.7.2 (KB4054566) listed as an optional important update to Windows Server 2012 and Windows Server 2016 servers. This version of .NET Framework is not supported for any version of Exchange Server, so it should not be installed on those servers.

You can run the following command from an elevated CMD prompt to block installation of .NET Framework 4.7.2 from Windows Update:
reg add "HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\WU" /v BlockNetFramework472 /t REG_DWORD /d 1 /f
To unblock the installation of .NET Framework 4.7.2 from Windows Update run the following from an elevated CMD prompt:
reg delete "HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\WU" /v BlockNetFramework472 /f
Always refer to the Exchange Server Supportability Matrix for the latest information about the level of support available for any configuration or required component for supported versions of Microsoft Exchange.